This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 845348 - [abrt] pgadmin3-1.14.0-2.fc17: getAnotherTuple: Process /usr/bin/pgadmin3 was killed by signal 11 (SIGSEGV)
[abrt] pgadmin3-1.14.0-2.fc17: getAnotherTuple: Process /usr/bin/pgadmin3 was...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pgadmin3 (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Devrim GÜNDÜZ
Fedora Extras Quality Assurance
abrt_hash:7537f0a10a60b962dc671274e81...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 14:51 EDT by Bruce-Robert Pocock
Modified: 2013-07-31 19:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:49:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (64.45 KB, text/plain)
2012-08-02 14:51 EDT, Bruce-Robert Pocock
no flags Details
File: maps (78.79 KB, text/plain)
2012-08-02 14:51 EDT, Bruce-Robert Pocock
no flags Details
File: dso_list (9.91 KB, text/plain)
2012-08-02 14:51 EDT, Bruce-Robert Pocock
no flags Details
File: build_ids (4.12 KB, text/plain)
2012-08-02 14:51 EDT, Bruce-Robert Pocock
no flags Details

  None (edit)
Description Bruce-Robert Pocock 2012-08-02 14:51:14 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/pgadmin3
comment:        editing an SQL query
crash_function: getAnotherTuple
executable:     /usr/bin/pgadmin3
kernel:         3.4.6-2.fc17.x86_64
pid:            20435
pwd:            /home/brpocock
remote_result:  NOTFOUND
time:           Thu 02 Aug 2012 02:38:26 PM EDT
uid:            1000
username:       brpocock

backtrace:      Text file, 65999 bytes
build_ids:      Text file, 4223 bytes
dso_list:       Text file, 10151 bytes
maps:           Text file, 80685 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/brpocock/4

core_backtrace:
:9e1e8ad7b21796b2e179ef44a6a520c9acf7b2ef 0x19d4b - libpq.so.5 -
:9e1e8ad7b21796b2e179ef44a6a520c9acf7b2ef 0x11c08 PQgetResult libpq.so.5 -
:9e1e8ad7b21796b2e179ef44a6a520c9acf7b2ef 0x11e6f - libpq.so.5 -
:9e1e8ad7b21796b2e179ef44a6a520c9acf7b2ef 0x12309 PQexec libpq.so.5 -
:94b133e5ec37adae804f92f9e145f04f5dcdd2f7 0xb0c0b - [exe] -
:94b133e5ec37adae804f92f9e145f04f5dcdd2f7 0x3b77f8 - [exe] -
:94b133e5ec37adae804f92f9e145f04f5dcdd2f7 0x3b827e - [exe] -
:94b133e5ec37adae804f92f9e145f04f5dcdd2f7 0x3b38ff - [exe] -
:94b133e5ec37adae804f92f9e145f04f5dcdd2f7 0x1f1362 - [exe] -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6796 wxEvtHandler::ProcessEventIfMatches(wxEventTableEntryBase libwx_baseu-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6904 wxEventHashTable::HandleEvent(wxEvent&, libwx_baseu-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6c27 wxEvtHandler::ProcessEvent(wxEvent&) libwx_baseu-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6bb0 wxEvtHandler::ProcessEvent(wxEvent&) libwx_baseu-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x2d3519 wxWindowBase::TryParent(wxEvent&) libwx_gtk2u_core-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6bb0 wxEvtHandler::ProcessEvent(wxEvent&) libwx_baseu-2.8.so.0 -
:28398c6f56b05b403435b077e18540ce928eaeaf 0x47615 wxAuiNotebook::SetSelection(unsigned libwx_gtk2u_aui-2.8.so.0 -
:28398c6f56b05b403435b077e18540ce928eaeaf 0x47c20 wxAuiNotebook::OnTabClicked(wxCommandEvent&) libwx_gtk2u_aui-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6796 wxEvtHandler::ProcessEventIfMatches(wxEventTableEntryBase libwx_baseu-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6904 wxEventHashTable::HandleEvent(wxEvent&, libwx_baseu-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6c27 wxEvtHandler::ProcessEvent(wxEvent&) libwx_baseu-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6bb0 wxEvtHandler::ProcessEvent(wxEvent&) libwx_baseu-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x2d3519 wxWindowBase::TryParent(wxEvent&) libwx_gtk2u_core-2.8.so.0 -
:28398c6f56b05b403435b077e18540ce928eaeaf 0x46141 wxAuiTabCtrl::OnLeftDown(wxMouseEvent&) libwx_gtk2u_aui-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6796 wxEvtHandler::ProcessEventIfMatches(wxEventTableEntryBase libwx_baseu-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6904 wxEventHashTable::HandleEvent(wxEvent&, libwx_baseu-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6c27 wxEvtHandler::ProcessEvent(wxEvent&) libwx_baseu-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x209c8b - libwx_gtk2u_core-2.8.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14db4c - libgtk-x11-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x206d8 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x2815ae - libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14b914 gtk_propagate_event libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14bc7b gtk_main_do_event libgtk-x11-2.0.so.0 -
:fd952473da735f9c0f50de231aa3d84d7855ef57 0x61edc - libgdk-x11-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14ac57 gtk_main libgtk-x11-2.0.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x1f81d8 wxEventLoop::Run() libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x26a30c wxAppBase::MainLoop() libwx_gtk2u_core-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0x978e5 wxEntry(int&, libwx_baseu-2.8.so.0 -
:94b133e5ec37adae804f92f9e145f04f5dcdd2f7 0x3ef82 - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=4
:HOSTNAME=BRPocock.mcna.net
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/brpocock/keyring-ZZ1O0h
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=brpocock
:USERNAME=brpocock
:MAIL=/var/spool/mail/brpocock
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/brpocock/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/brpocock
:XMODIFIERS=@im=none
:EDITOR=jmacs
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1569
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/brpocock
:SHLVL=1
:LOGNAME=brpocock
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-1UDUoJNHMr,guid=6970d61d07397c455b252b34000000e0
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/brpocock
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:XAUTHORITY=/var/run/gdm/auth-for-brpocock-JzWrH2/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1573,unix/unix:/tmp/.ICE-unix/1573
:SSH_AUTH_SOCK=/run/user/brpocock/keyring-ZZ1O0h/ssh
:GPG_AGENT_INFO=/run/user/brpocock/keyring-ZZ1O0h/gpg:0:1
:LC_TIME=en_US.utf8
:LC_NUMERIC=en_US.utf8
:LC_MONETARY=en_US.utf8
:LC_MEASUREMENT=en_US.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/pgadmin3.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=20435

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63195                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63195                63195                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/brpocock/.xsession-errors
:pos:	2419948
:flags:	0102002
:2:/home/brpocock/.xsession-errors
:pos:	2419948
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:socket:[178917]
:pos:	0
:flags:	02004002
:5:socket:[192381]
:pos:	0
:flags:	02004002
:6:anon_inode:inotify
:pos:	0
:flags:	02004000
:7:socket:[201182]
:pos:	0
:flags:	02004002
:8:socket:[201183]
:pos:	0
:flags:	02004002
:9:socket:[210205]
:pos:	0
:flags:	02004002

var_log_messages:
:Jul 30 16:43:39 BRPocock yum[5141]: Installed: pgadmin3-1.14.0-2.fc17.x86_64
:Jul 31 17:58:41 BRPocock kernel: [100659.981708] pgadmin3[6416]: segfault at 0 ip 00000037526d4e7f sp 00007fffb52e6cd0 error 4 in libwx_gtk2u_core-2.8.so.0.8.0[3752400000+39a000]
:Jul 31 17:58:45 BRPocock abrt[19492]: Saved core dump of pid 6416 (/usr/bin/pgadmin3) to /var/spool/abrt/ccpp-2012-07-31-17:58:41-6416 (881266688 bytes)
:Aug  2 14:38:26 BRPocock kernel: [31661.671458] pgadmin3[20435]: segfault at d ip 0000003751419d4b sp 00007fffdfca10d0 error 6 in libpq.so.5.4[3751400000+29000]
:Aug  2 14:38:27 BRPocock abrt[21183]: Saved core dump of pid 20435 (/usr/bin/pgadmin3) to /var/spool/abrt/ccpp-2012-08-02-14:38:26-20435 (251023360 bytes)
Comment 1 Bruce-Robert Pocock 2012-08-02 14:51:17 EDT
Created attachment 602004 [details]
File: backtrace
Comment 2 Bruce-Robert Pocock 2012-08-02 14:51:19 EDT
Created attachment 602005 [details]
File: maps
Comment 3 Bruce-Robert Pocock 2012-08-02 14:51:20 EDT
Created attachment 602006 [details]
File: dso_list
Comment 4 Bruce-Robert Pocock 2012-08-02 14:51:22 EDT
Created attachment 602007 [details]
File: build_ids
Comment 5 Fedora End Of Life 2013-07-03 18:09:35 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 19:49:32 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.